# return

sortie d'une fonction ou reprise d'exécution, avec récupération de variables locales

## Séquence d'appel

    return
                [x1,..,xn]=return(a1,..,an)

## Paramètres

x1,..,xn

  variables de l'environnement appelant

a1,..,an

  variables locales

## Description

Dans une fonction `return` termine son exécution et `[..]=return(..)` renvoie les variables locales `ai` dans l'environnement appelant sous les noms `xi`.

En mode de `pause`, cela permet de reprendre l'exécution et `[..]=return(..)` renvoie les variables locales `ai` dans l'environnement appelant sous les noms `xi`.

Utilisé dans l'argument de `execstr` appelé dans une fonction, `[..]=return(..)` termine l'exécution de la fonction et renvoie les variables locales `ai` dans l'environnement appelant sous les noms `xi`.

L'instruction `return` est équivalent à `resume`.

## Voir aussi

- abort
- break
- execstr
- resume